Page MenuHomePhabricator

Internal Wiki for Wikimedians of Ecuador
Closed, ResolvedPublic

Description

Wikimedians of Ecuador would like to have an internal wiki, that could be ec.wikimedia.org for organization, set up and follow up of the projects we are holding in our country.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd ec.wikimedia to MWMultiVersion
operations/mediawiki-config : masterInitial configuration for ec.wikimedia
operations/dns : masterActivate ec.wikimedia.org
operations/puppet : productionAdd ec.wikimedia.org to Apache configuration
operations/puppet : productionAdd ecwikimedia to the list of private wikis
mediawiki/extensions/WikimediaMessages : masterAdd ec.wikimedia Wikimedistas de Ecuador site

Event Timeline

Edjoerv created this task.May 17 2016, 4:36 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 17 2016, 4:36 PM
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptMay 17 2016, 4:41 PM
Glaisher added a subscriber: Glaisher.EditedMay 17 2016, 4:45 PM

Where has this been discussed? It is anywhere public? If so, please link to that. It would also be useful to get other group members' confirmation about this on this task.

An internal wiki -> a private wiki?

@Edjoerv, your input is required for this request to progress.

https://meta.wikimedia.org/wiki/Talk:Wikimedistas_de_Ecuador#Wiki_Interna We moved this discussion to our meta talk page, but the main discussion had been in a facebook chat (being that facebook chat the main reason why we're asking a private wiki).

Dereckson added a subscriber: Dereckson.EditedJun 10 2016, 9:35 PM

So yes, they want a private wiki (wiki privada).

Dereckson claimed this task.Oct 6 2016, 1:01 AM

@jcrespo I'm starting to work on this, for s3. This is a private wiki, no replication on labs will be needed.

Change 314465 had a related patch set uploaded (by Dereckson):
Add ecwikimedia to the list of private wikis

https://gerrit.wikimedia.org/r/314465

Change 314466 had a related patch set uploaded (by Dereckson):
Activate ec.wikimedia.org

https://gerrit.wikimedia.org/r/314466

Change 314470 had a related patch set uploaded (by Dereckson):
Add ec.wikimedia.org to Apache configuration

https://gerrit.wikimedia.org/r/314470

Change 314471 had a related patch set uploaded (by Dereckson):
Initial configuration for ec.wikimedia

https://gerrit.wikimedia.org/r/314471

Change 314472 had a related patch set uploaded (by Dereckson):
Add ec.wikimedia Wikimedistas de Ecuador site

https://gerrit.wikimedia.org/r/314472

@Edjoerv could you confirm the parameters described at https://gerrit.wikimedia.org/r/#/c/314471/ looks good to you?

@jcrespo I'm starting to work on this, for s3. This is a private wiki, no replication on labs will be needed.

In this case, please get blocked on me before doing anything related to the database itself (deployment), I have to check it is properly filtered.

Change 314472 merged by jenkins-bot:
Add ec.wikimedia Wikimedistas de Ecuador site

https://gerrit.wikimedia.org/r/314472

Change 314465 merged by Jcrespo:
Add ecwikimedia to the list of private wikis

https://gerrit.wikimedia.org/r/314465

jcrespo added a comment.EditedOct 6 2016, 2:59 PM

I have merged the patch and made sure the replication filter was up and working, and no ecwikimedia database exists. I am no longer a blocker for this.

jcrespo removed a subscriber: jcrespo.Oct 6 2016, 3:00 PM

Hey! It's great to see you started working on this, guys! I'm a bit confused because I can't open the link here:

@Edjoerv could you confirm the parameters described at https://gerrit.wikimedia.org/r/#/c/314471/ looks good to you?

Hey! It's great to see you started working on this, guys! I'm a bit confused because I can't open the link here:

@Edjoerv could you confirm the parameters described at https://gerrit.wikimedia.org/r/#/c/314471/ looks good to you?

I'm afraid you just got extremely unlucky and tried to open it on a bad day for Gerrit. Try again now?

Change 314470 merged by Dzahn:
Add ec.wikimedia.org to Apache configuration

https://gerrit.wikimedia.org/r/314470

Change 314466 merged by Dzahn:
Activate ec.wikimedia.org

https://gerrit.wikimedia.org/r/314466

Dzahn added a subscriber: Dzahn.Oct 12 2016, 10:25 PM

ec.wikimedia.org now exists in Apache config and DNS

https://ec.wikimedia.org/

Dereckson added a comment.EditedOct 12 2016, 10:31 PM

Next steps:

  • @Edjoerv needs to confirm the configuration settings looks good
  • We plan a deployment window next week

Change 314471 merged by jenkins-bot:
Initial configuration for ec.wikimedia

https://gerrit.wikimedia.org/r/314471

Mentioned in SAL (#wikimedia-operations) [2016-11-07T22:20:48Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: ec.wikimedia initial configuration (T135521) (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2016-11-07T22:22:24Z] <dereckson@tin> Synchronized static/images/project-logos/: Logos for ec.wikimedia (T135521) (duration: 00m 48s)

Change 320302 had a related patch set uploaded (by Dereckson):
Add ec.wikimedia to MWMultiVersion

https://gerrit.wikimedia.org/r/320302

Change 320302 merged by jenkins-bot:
Add ec.wikimedia to MWMultiVersion

https://gerrit.wikimedia.org/r/320302

Mentioned in SAL (#wikimedia-operations) [2016-11-07T22:35:44Z] <dereckson@tin> Synchronized multiversion/MWMultiVersion.php: Add ec.wikimedia to MWMultiVersion (T135521) (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2016-11-07T22:39:10Z] <mutante> Un nuevo wiki ha nacido. Bienvenido grupo de usuarios Ecuador Wikimedia. https://ec.wikimedia.org (T135521)

Wiki has been created.

Next step is to create accounts

Private wikis don't have authentication capabilities for external users. We need to create manually an account for an initial bureaucrat. This 'crat will then be able to create other accounts. I've left a message on meta. Wikimedia EC talk page about that.

Redirect from ec.wikimedia.org to the main page issue

There is also perhaps a need to adjust the value of [[MediaWiki:mainpage]]. If that doest't work, you can create a redirection from Página principal to Main Page.

Redirect from ec.wikimedia.org to the main page issue
There is also perhaps a need to adjust the value of [[MediaWiki:mainpage]]. If that doest't work, you can create a redirection from Página principal to Main Page.

Which is necessary for passers-by to have a proper main page to inform that the wiki is private, instead of landing to a request-to-login page (loginreqtitle, (loginreqpagetext: (loginreqlink))) . Some pages may also need to be allowed for guest access, such as the page linked on disclaimers key as it's in pages footer.

@Dereckson, we should try to finish this ticket off.

We need to figure out who the initial bureaucrat will be still. Given that this information has been waiting for over a month it may have been a mistake to accept this request.

Dereckson added a comment.EditedDec 11 2016, 11:33 AM

Meanwhile, I left a mesage on https://meta.wikimedia.org/wiki/Talk:Wikimedistas_de_Ecuador#Wiki_Interna_2

I'm going to recontact Edjoerv, they was apparently busy this Fall.

Mentioned in SAL (#wikimedia-operations) [2016-12-12T13:11:33Z] <Dereckson> Created initial bureaucrat account for Edjoerv on ec.wikimedia (T135521)

Dereckson closed this task as Resolved.Dec 13 2016, 1:15 AM

So, users now have account on the wiki. Edits was blocked by a CirrusSearch issue, immediately fixed, thanks to E. Bernhardson.

There is the question of the best strategy to offer a public homepage. A separate task has been opened for that, T153031.

This task is so finished.